Bug 390423 - KCalc display padding improvement
Summary: KCalc display padding improvement
Status: RESOLVED FIXED
Alias: None
Product: kcalc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Evan Teran
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-14 04:46 UTC by Andrew Crouthamel
Modified: 2018-03-10 18:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.03.80


Attachments
Screenshot showing close proximity of display numbers and mode text. (61.59 KB, image/png)
2018-02-14 04:46 UTC, Andrew Crouthamel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Crouthamel 2018-02-14 04:46:35 UTC
Created attachment 110639 [details]
Screenshot showing close proximity of display numbers and mode text.

I noticed the display text is a bit close to the text designating mode, such as Dec/Deg. Attached screenshot shows what I'm talking about. The 6 is very close vertically to the Deg text. It would look better if there were some more padding there, like below the display numbers.

Maybe it is a rendering glitch? I have a HiDPI (144 dpi) screen, running 2x scaling. Fonts are Roboto, buttons size 16, display size 24.

KCalc 17.12.2

KDE Plasma Version: 5.12.0
KDE Frameworks Version: 5.42.0
Qt Version: 5.9.3
Kernel Version 4.13.0-32-generic
OS Type: 64-bit
Comment 1 Silas Lenz 2018-02-20 21:45:04 UTC
Potential patch: https://phabricator.kde.org/D10700
Comment 2 Andrew Crouthamel 2018-02-20 22:31:48 UTC
Awesome, thanks!
Comment 3 Elvis Angelaccio 2018-03-10 18:34:30 UTC
Git commit c0afecf5186d39d1cc575d464b4ca35c4489e3a3 by Elvis Angelaccio, on behalf of Silas Lenz.
Committed on 10/03/2018 at 17:53.
Pushed by elvisangelaccio into branch 'master'.

KCalc display padding improvement

Summary:

{F5720753}

Reviewers: teran

Subscribers: elvisangelaccio, acrouthamel, cfeck, kde-utils-devel

Differential Revision: https://phabricator.kde.org/D10700

M  +2    -2    kcalcdisplay.cpp

https://commits.kde.org/kcalc/c0afecf5186d39d1cc575d464b4ca35c4489e3a3